Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.client
Class ModCompatibilityClient

    java.lang.Object
      net.minecraftforge.client.ModCompatibilityClient

    public class ModCompatibilityClient

extends Object

Field Summary
`static SoundPool` | `audioModSoundPoolCave` Risugami's AudioMod Compatibility http://www.minecraftforum.net/topic/75440- AudioMod adds a few extra codecs, loads audio from /resources/mods/*, introduces the concept of 'cave' sounds, which are determined by if the player is underneath a solid block.

Constructor Summary
`ModCompatibilityClient()`

Method Summary
`static void` | `audioModAddCodecs()` Adds the IBXM codec and associates it with .xm, .s3m, and .mod
`static void` | `audioModLoad(SoundManager mngr)` Populates the sound pools with with sounds from the /resources/mods folder And sets the interval between background music to 6000
`static SoundPoolEntry` | `audioModPickBackgroundMusic(SoundManager soundManager, SoundPoolEntry current)` If the current player is underground, it picks a random song from the cave sound pool, if they are not it returns the passed in entry.
`static boolean` | `isMLMPInstalled()` Determine if ModLoaderMP is installed by checking for the existence of the BaseModMp class.
`static void` | `mlmpOpenWindow(Packet100OpenWindow pkt)` Attempts to invoke ModLoaderMp.handleGUI if ModLoaderMP is installed.
`static Object` | `mlmpVehicleSpawn(int type, World world, double x, double y, double z, Entity thrower, Object currentEntity)` Attempts to spawn a vehicle using ModLoaderMP's vehicle spawn registry, if MLMP is not installed it returns the passed in currentEntity

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### audioModSoundPoolCave

    public static SoundPool audioModSoundPoolCave

  Risugami's AudioMod Compatibility http://www.minecraftforum.net/topic/75440- AudioMod adds a few extra codecs, loads audio from /resources/mods/*, introduces the concept of 'cave' sounds, which are determined by if the player is underneath a solid block. It also lowers the interval between background music songs to 6000

Constructor Detail

### ModCompatibilityClient

    public ModCompatibilityClient()

Method Detail

### audioModLoad

    public static void audioModLoad(SoundManager mngr)

  Populates the sound pools with with sounds from the /resources/mods folder And sets the interval between background music to 6000

  Parameters:
    `mngr` - The SoundManager instance

### audioModAddCodecs

    public static void audioModAddCodecs()

  Adds the IBXM codec and associates it with .xm, .s3m, and .mod

### audioModPickBackgroundMusic

    public static SoundPoolEntry audioModPickBackgroundMusic(SoundManager soundManager,
                                                             SoundPoolEntry current)

  If the current player is underground, it picks a random song from the cave sound pool, if they are not it returns the passed in entry.

  Parameters:
    `soundManager` - The SoundManager instance
    `current` - The currently selected entry
  Returns:
    A soundPool entry to be played as the background music

### isMLMPInstalled

    public static boolean isMLMPInstalled()

  Determine if ModLoaderMP is installed by checking for the existence of the BaseModMp class.

  Returns:
    True if BaseModMp was installed (indicating the existance of MLMP)

### mlmpVehicleSpawn

    public static Object mlmpVehicleSpawn(int type,
                                          World world,
                                          double x,
                                          double y,
                                          double z,
                                          Entity thrower,
                                          Object currentEntity)
                                   throws Exception

  Attempts to spawn a vehicle using ModLoaderMP's vehicle spawn registry, if MLMP is not installed it returns the passed in currentEntity

  Parameters:
    `type` - The Type ID of the vehicle
    `world` - The current world
    `x` - The spawn X position
    `y` - The spawn Y position
    `z` - The spawn Z position
    `thrower` - The entity that spawned the vehicle {possibly null}
    `currentEntity` - The current value to return if MLMP is not installed
  Returns:
    The new spawned entity
  Throws:
    `Exception`

### mlmpOpenWindow

    public static void mlmpOpenWindow(Packet100OpenWindow pkt)

  Attempts to invoke ModLoaderMp.handleGUI if ModLoaderMP is installed. If not, it does nothing

  Parameters:
    `pkt` - The open window packet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD